Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  AutoCAD VBA
  Prüfen ob ein Layer vorhanden ist

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Prüfen ob ein Layer vorhanden ist (320 mal gelesen)
David F. 26
Mitglied



Sehen Sie sich das Profil von David F. 26 an!   Senden Sie eine Private Message an David F. 26  Schreiben Sie einen Gästebucheintrag für David F. 26

Beiträge: 13
Registriert: 03.05.2018

AUTOCAD 2018

erstellt am: 04. Mai. 2018 10:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen liebes Forum,

ich habe, vermutliche eine Simple, Frage.

Ich habe folgenden Code

ThisDrawing.ActiveLayer = ThisDrawing.Layers("ADS_0_Hilfslinie")
    ThisDrawing.SendCommand "PL" & vbCr

Soweit funktioniert er auch.

Wenn ich aber eine neue Zeichnung aufmache möchte ich natürlich erstmal prüfen ob der Layer vorhanden ist.

Wie stelle ich das am Besten an?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Ehrenmitglied V.I.P. h.c.
良い精神



Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 18182
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 04. Mai. 2018 10:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David F. 26 10 Unities + Antwort hilfreich

Ich hätte jetzt gesagt: Layercollection durchlaufen und prüfen oder versuchen auf den Layer aus der Collection zuzugreifen und Fehler abfangen (falls er nicht vorhanden ist).
Da ich aber mit VBA wenig am Hute habe verweise ich mal auf andere Quellen.


Google allgemein www.google.de läßt sich auch als Suchmaschine auf CAD.de nutzen(site
und die Ergebnisse anhand eines Begriffes aus der Boardadresse(Forum259) recht gut filtern.
site:cad.de Forum259 layer vorhanden

nur ein Beispiel: http://ww3.cad.de/foren/ubb/Forum259/HTML/000750.shtml#000000


Hole dir am besten ein AutoCAD-VBA Buch, wenn VBA die angestrebte Sprache ist.
Aber es gibt auch alles im www nachzulesen, natürlich.

Dazu noch die bereits vorhandene Entwickler-HILFE [F1]
Dort findest du auch das ObjektModell und alles weitere.
Beispiel: http://help.autodesk.com/view/OARX/2019/ENU/?guid=GUID-A5B6ACC4-DCD8-4FE2-AB06-D3C3C349475B

Schau doch mal (Weltweit) ob du dieses alte Buch für ein paar Euro bekommst, Klick. Es schadet zumindest nicht.
Dazu ein aktuelles und/oder die OnlineResourcen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

David F. 26
Mitglied



Sehen Sie sich das Profil von David F. 26 an!   Senden Sie eine Private Message an David F. 26  Schreiben Sie einen Gästebucheintrag für David F. 26

Beiträge: 13
Registriert: 03.05.2018

AUTOCAD 2018

erstellt am: 04. Mai. 2018 10:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank genau was ich gesucht hatte.

Also ich hier im Forum "Layer vorhanden" Oder "Prüfen ob Layer vorhanden" eingegeben habe bin ich leider nicht auf diese Thema gekommen.

:/

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Ehrenmitglied V.I.P. h.c.
良い精神



Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 18182
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 04. Mai. 2018 11:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David F. 26 10 Unities + Antwort hilfreich

Vielleicht hast du es bei FILTER eingetragen und nicht bei SUCHE ?
Jedoch arbeite ich praktisch nie mit der Boardeigenen Suche, außer ich suche Dateianhänge.

Na dann, merke dir site:cad.de und Forum259, oder erstelle dir direkt ein Lesezeichen dafür.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rexxitall
Mitglied
Dipl. -Ing. Bau


Sehen Sie sich das Profil von rexxitall an!   Senden Sie eine Private Message an rexxitall  Schreiben Sie einen Gästebucheintrag für rexxitall

Beiträge: 203
Registriert: 07.06.2013

Various: systems, Operating systems, cad systems, cad versions, programming languages.

erstellt am: 12. Mai. 2018 20:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für David F. 26 10 Unities + Antwort hilfreich

So kann man das lösen.

Function Layer_Exist(ByRef LAYERNAME As String) As Boolean
    Dim objlayer As AcadLayer
    For Each objlayer In thisdrawing.LAYERS
        If UCase(objlayer.Name) = UCase(LAYERNAME) Then
            Layer_Exist = True
            Exit Function
        End If
    Next objlayer
    Layer_Exist = False
   
   
   
   
End Function

Public Function Layer_Exist_fast(LAYERNAME As String) As Boolean
    Dim objlayer As AcadLayer
    Dim objlayers As AcadLayers
    On Error Resume Next
    Set objlayers = thisdrawing.LAYERS
    Set objlayer = objlayers(LAYERNAME)
    Layer_Exist_fast = (ERR.Number = 0)
    ERR.Clear
End Function

------------------
Wer es nicht versucht, hat schon verlorn 
Und bei 3 Typos gibts den vierten gratis !
<<< for sale !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz